Summary: f2c program (w/o lib6, but w/ aout,lib5)
Name: f2c
Version: 19970805
Release: 2_nolib
Copyright: Distributable
Group: Development/Languages/fortran
Source: ftp://ftp.netlib.org/f2c.tar
Source1: libf2c.so
Source2: libf2c.so.0.11
Patch0: f2c-redhat.patch
Requires: egcs-g77
Buildroot: /var/tmp/f2c-root
Obsoletes: f2c-libs
Summary(de): f2c-Programm- und statische Libraries 
Summary(fr): programme f2c et bibliothques statiques
Summary(tr): f2c program ve statik kitaplklar

%description
f2c is a Fortran to C translation and building program.  It can
take fortran source code, convert it to C, and then use gcc to
compile it into an executable.  Libraries are not provided, 
using libf2c.a in egcs-g77 instead.  

%description -l de
f2c ist ein Fortran-auf-C-bersetzer und -Compiler. Es kann
Fortran-Quellcode in C umwandeln und dann mit 'gcc' in eine
ausfhrbare Datei kompilieren.

%description -l fr
f2c est un programme de traduction et de construction de Fortran
vers C. Il peut prendre un code source fortran, le convertir en C,
et utiliser gcc pour le compiler et en faire un  excutable.

%description -l tr
f2c, Fortran dilinde yazlan bir kaynak dosyasn C'ye evirerek gcc
yardmyla derleyebilir. Spice, Scilab gibi baz yazlmlar bu paket
ierisinde bulunan matematik kitapln kullanrlar.

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed Oct 29 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to version 19970805
- added buildroot; removed libs subpackage and made it obsoleted

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed axp tag to alpha

* Fri Apr 11 1997 Michael Fulbright <msf@redhat.com>
- Fixed man page and made it install the troff version in correct place.
- Removed checksum calculation on sources, otherwise we cant patch source!

%prep
%setup -n f2c -q
#unzip libf2c.zip
#cp libf2c/makefile.u libf2c/Makefile
#%patch0 -p 1 -b .redhat

%build
%ifarch axp
MFLAG=-mieee
%endif

make -C src RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" f2c
#make -C libf2c RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MFLAG="$MFLAG" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin,man/man1}
#install -m 644 libf2c/libf2c.a $RPM_BUILD_ROOT/usr/lib
install -m 644 f2c.h $RPM_BUILD_ROOT/usr/include
install -s -m 755 src/f2c $RPM_BUILD_ROOT/usr/bin/f2c
install -m 644 src/f2c.1t $RPM_BUILD_ROOT/usr/man/man1/f2c.1
#install -m 755 libf2c/libf2c.so.0.22 $RPM_BUILD_ROOT/usr/lib
#ln -sf libf2c.so.0.22 $RPM_BUILD_ROOT/usr/lib/libf2c.so

mkdir -p $RPM_BUILD_ROOT/usr/i486-linux-libc5/lib
cp -a $RPM_SOURCE_DIR/libf2c.so $RPM_BUILD_ROOT/usr/i486-linux-libc5/lib
mkdir -p $RPM_BUILD_ROOT/usr/i486-linuxaout/lib
cp -a $RPM_SOURCE_DIR/libf2c.so.0.11 $RPM_BUILD_ROOT/usr/i486-linuxaout/lib
ln -sf libf2c.so.0.11 $RPM_BUILD_ROOT/usr/i486-linuxaout/lib/libf2c.so.0

%post
cd /usr/lib; ln -sf `find gcc-lib -name libf2c.a -print` .
/sbin/ldconfig

%postun
rm -f /usr/lib/libf2c.a
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc f2c.ps readme permission disclaimer changes src/Notice src/README
#/usr/lib/*
/usr/include/*
/usr/bin/*
/usr/man/man1/*
/usr/i486-linux-libc5/*
/usr/i486-linuxaout/*

%clean
rm -rf $RPM_BUILD_ROOT
